### org.jfree.layouting.input.style.parser.stylehandler.text

# Class WordSpacingLimitReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.text.SpacingLimitReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.text.WordSpacingLimitReadHandler`

Implemented Interfaces:
  CSSCompoundValueReadHandler

`public class WordSpacingLimitReadHandler`
`extends SpacingLimitReadHandler`

Creation-Date: 28.11.2005, 20:44:02

Author:
  Thomas Morgner

  ## Field Summary

  ### Fields inherited from class org.jfree.layouting.input.style.parser.stylehandler.text.SpacingLimitReadHandler

  `NORMAL`

  ## Constructor Summary

  `WordSpacingLimitReadHandler()`

  ## Method Summary

  `protected StyleKey`

  `getMaximumKey()`

  `protected StyleKey`

  `getMinimumKey()`

  `protected StyleKey`

  `getOptimumKey()`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.text.SpacingLimitReadHandler

  `createValues`, `getAffectedKeys`, `getMaximumKey`, `getMinimumKey`, `getOptimumKey`

## Constructor Details

### WordSpacingLimitReadHandler

    public WordSpacingLimitReadHandler()

## Method Details

### getMaximumKey

    protected StyleKey getMaximumKey()

> Overrides:
>   getMaximumKey in interface SpacingLimitReadHandler

### getMinimumKey

    protected StyleKey getMinimumKey()

> Overrides:
>   getMinimumKey in interface SpacingLimitReadHandler

### getOptimumKey

    protected StyleKey getOptimumKey()

> Overrides:
>   getOptimumKey in interface SpacingLimitReadHandler